Gtk2::Stock(3)

NAME
Gtk2::Stock

Gtk2::StockItem
When a Gtk2::StockItem is returned from a function or required as a parameter a hash reference with the following key/value pairs will be required/returned.

  {
      stock_id => (string),
      label => (string),
      modifier => (Gtk2::Gdk::ModifierType),
      keyval => (integer),
      translation_domain => (string),
  }

METHODS

  Gtk2::Stock->add (...)

    * ... (list) of Gtk2::StockItem's to be added

  list = Gtk2::Stock->list_ids
    Returns a list of strings, the stock-ids.

  scalar = Gtk2::Stock->lookup ($stock_id)

    * $stock_id (string)

    Returns a hash reference, a Gtk2::StockItem.

  Gtk2::Stock->set_translate_func ($domain, $func, $data=undef)

    * $domain (string)
    * $func (scalar)
    * $data (scalar)

    Since: gtk+ 2.8

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.